require 'page-object'
require_relative 'browser_container'

require_relative '../../lib/pages/login_page'
require_relative '../../lib/pages/eula'
require_relative '../../lib/pages/roa'
require_relative '../../lib/pages/right_side_nav'
require_relative '../../lib/pages/left_side_nav'
require_relative '../../lib/pages/launchpad'
require_relative '../../lib/pages/landing_page'
require_relative '../../lib/module/DBUtility'
require_relative '../../lib/pages/user_guide'
require_relative '../../lib/pages/about'

require_relative '../../lib/pages/support/support'
require_relative "../../lib/pages/learn/learn"
require_relative "../../lib/pages/assess/assess"
require_relative "../../lib/pages/favorites/favorites"


class Site < BrowserContainer

  def eula
    @eula = Eula.new(@driver)
  end

  def loginPage
    @loginPage = LoginPage.new(@driver)
  end

  def landing
    @landing = LandingPage.new(@driver)
  end

  def launchpad
    @launchpad = Launchpad.new(@driver)
  end

  def modal
    @modal = Modal.new(@driver)
  end

  def rightMenu
    @rightNav = RightSideNav.new(@driver)
  end

  def roa
    @roa = Roa.new(@driver)
  end

  def leftMenu
    @leftNav = LeftSideNav.new(@driver)
  end

  def userGuide
    @userGuide = UserGuide.new(@driver)
  end

  def about
    @about = About.new(@driver)
  end


  ############
  #  Methods #
  ############


  def quitDriver
    @driver.quit
  end

  def goto(base_url)
    @driver.goto(base_url + "/")
  end


  def resizeWindowTo(width, height)
    @driver.window.resize_to width, height
    sleep 0.5
  end

  def resizeWindowToPhone()
    resizeWindowTo(320, 480)
  end

  def resizeWindowToDefault()
    resizeWindowTo(1260, 727)
    sleep 0.5
  end

  def switchWindowByTitle(windowTitle)
    @driver.window(:title => windowTitle).use
  end

  def switchWindowToLast()
    @driver.windows.last.use
  end

  def switchWindowToFirst()
    @driver.windows.first.use
  end

  def getCurrentURL()
    return @driver.url
  end

  def closeBrowser()
    @driver.window.close
  end

	### Learn

  def learn
	  @learn = Learn.new(@driver)
  end

  def assess
	  @assess = Assess.new(@driver)
  end

  def manage
	  @manage = Manage.new(@driver)
  end

  def support
	  @support = Support1.new(@driver)
  end

  def favorites
	  @favorites = Favorites.new(@driver)
  end

end







