require 'page-object'
require_relative 'common_element'

class AccordionHelper < Common_Element
  include PageObject


  def isAccordionExpanded(heading)
    accordion = element(:span, :css => 'div[heading="' + heading + '"] div.panel-heading h4 span')

    labelText = accordion.text

    if(labelText.include?("Expand"))
      return false
    else
      return true
    end
  end

  def isRightArrowIconDisplayed(heading)
    icon = element(:i, :css => 'div[heading="' + heading + '"] div.panel-heading i.myicon')

    classValue = icon.attribute("class")

    if (classValue.include?("icon-accordion-static"))
      return true
    else
      return false
    end

  end

  def isDownArrowIconDisplayed(heading)
    icon = element(:i, :css => 'div[heading="' + heading + '"] div.panel-heading i.myicon')
    classValue = icon.attribute("class")

    if (classValue.include?("icon-accordion-active"))
      return true
    else
      return false
    end

  end

  def getAccordionLabelByHeading(heading)
    labelText = element(:h4, :css => 'div[heading="' + heading + '"] div.panel-heading h4.accordion-panel-title').text

    label = []

    if (labelText.include?("Collapse\n"))
      label = labelText.split("Collapse\n")
    elsif (labelText.include?("Expand\n"))
      label = labelText.split("Expand\n")
    end

    return label[1]
  end

  def getAccordionTextByHeading(heading)
    return element(:div, :css =>  'div[heading="' + heading + '"] div.panel-body').text
  end

end