require 'watir-webdriver'
require 'page-object'

require_relative 'eula'
require_relative 'landing_page'
require_relative 'login_page'
require_relative 'right_side_nav'
require_relative 'common_elements'
require_relative 'left_side_nav'


class CommonTest < CommonElement
  include PageObject

  $app_title = "MobileKidney"

  def initialize(driver)
    super(driver)
    @commonElements = CommonElement.new(driver)
    @loginpage = LoginPage.new(driver)
    @eula = Eula.new(driver)
    @landing = LandingPage.new(driver)
    @rightnav = RightSideNav.new(driver)
    @leftnav = LeftSideNav.new(driver)

  end

  def passByLandingPageAndAuthenticate(userName, pwd, displayedName, patientID)
    @eula.accept_element.when_visible
    @eula.accept
    @landing.login_element.when_visible
    @landing.login
    #Sample code: @loginpage.login_with("zztest.patient01", "pass", "patient01, zztest", "D123401")
    @loginpage.login_with(userName, pwd, displayedName, patientID)

  end

  def navigateToAsubFeature(appOptionName, subFeatureName)
    angulartitle_element.when_visible
    @leftnav.leftSideNav

    @leftnav.home_element.when_visible

    @leftnav.clickAppOptionName(appOptionName)

    secondaryHeader_element.when_visible(timeout=10)
    #due to the slow load of the default values. Wait for this item to be present.
    defaultTextToSelectItem_element.when_visible(timeout=20)

    @leftnav.clickSubFeatureName(subFeatureName)

    primaryHeader_element.when_visible(timeout=10)


  end



end