#require 'rspec_helper'
require 'rubygems'
require 'rspec'

require 'page-object'
require 'json'

require_relative '../../../lib/helper/common_element'

require_relative '../../../lib/helper/accordion_helper'

class Learn < AccordionHelper
	include PageObject

	$learnJsonPath = File.read('./data/learn/learn-categories.json')
	$learnJson = JSON.parse($learnJsonPath.to_s())
	#let(:test_subject) { JSON.parse(learnJsonPath.to_s())}


	button(:emotional_consequences, :css => '.emotional-consequences-of-caregiving')
  	button(:take_care_of_yourself, :css => '.take-care-of-yourself')
  	button(:build_resilience, :css => '.build-resilience')
 	button(:manage_stress, :css => '.manage-stress')
  	button(:manage_relationships, :css => '.manage-relationships')

	button(:grief, :css => 'div[heading="Grief"] h4')
  	button(:back, :css => 'span[ng-click="closeArticle()"]')
  	span(:content, :css => 'span[ng-bind-html="articleMessage"]')
	div(:contentHeading, :css => 'strong[class="ng-binding"]')

=begin
	def readParseLearnCategoriesJson()
		learnJsonPath = File.read('./data/learn/learn-categories.json')
		learnJson = JSON.parse(learnJsonPath.to_s())
		return learnJson
	end

	def readParseArticlesJson()
		articlesJsonPath = File.read('./data/learn/articles.json')
		articlesJson = JSON.parse(articlesJsonPath.to_s())
		return articlesJson
	end

=end
	def getTitleForLearn(number)
		#learnJson = readParseLearnCategoriesJson()
		#puts learnJson
		return $learnJson[number]['title']
	end

	def getTitleForLearnSubCategory(category, subcategory)
		#learnJson = readParseLearnCategoriesJson()
		## this will return subcategory title
		return $learnJson[category]['subCategories'][subcategory]['title']
	end
=begin
	def getGriefSubsections(index)
		#learnJson = readParseLearnCategoriesJson()
		## this will return article title
		return $learnJson[0]['subCategories'][0]['articles'][index]['title']

	end

	def getGriefSubsectionContent(index)
		#learnJson = readParseLearnCategoriesJson()
		articlesJson = readParseArticlesJson()
		learnId = $learnJson[0]['subCategories'][0]['articles'][index]['id']
		articlesId = articlesJson[index]['id']
		if learnId === articlesId
			return articlesJson[index]['content']
		end
		return "no such id"
	end
=end
	def clickSubcategoryContent(subcategory, title)
		subcategoryElement = "div[ng-click=\"openArticle(\\\'"
		subcategoryElement += subcategory + "\\\', \\\'"
		subcategoryElement += title
		subcategoryElement += "\\\')\"]"

		return element(:div, :css => subcategoryElement).click()
	end

	def getSubcategoryText(subcategory, title)
		subcategoryElement = "div[ng-click=\"openArticle(\\\'"
	    subcategoryElement += subcategory + "\\\', \\\'"
	    subcategoryElement += title
	    subcategoryElement += "\\\')\"]"
		return element(:div, :css => subcategoryElement).text().strip()
	end

	def clickAccordianByIndex(index)
		return element(:div, :css => 'div[group-id="'+ index.to_s + '"] div').click
	end

	def getSingleAccordianText()
		#('.accordion-panel-title:eq('+ index + ') > span').text().split('Expand')[1].trim()
		#return element(:div, :css =>  'div[heading="' + heading + '"] div.panel-body').text

		return element(:span, :css => '.accordion-panel-title > span').text().split('Collapse')[1].strip()
	end

	def getAccordianTextByIndex(index)
		#('.accordion-panel-title:eq('+ index + ') > span').text().split('Expand')[1].trim()
		#return element(:div, :css =>  'div[heading="' + heading + '"] div.panel-body').text

		return element(:div, :css => 'div[group-id="'+ index.to_s + '"] div').text().split('Expand')[1].strip()
	end

	def getArticleContentById(articleId)
		articles = File.read('articles.json')
		article = JsonPath.on(articles, '$[?(@.id == "'+ articleId +'")]')
		return article[0]['content']

	end

	def verifyEmotionalConsequencesCategory()
		category = 0
		successful = false

		for i in 0..$learnJson[category]['subCategories'].length-1
			subcategory = $learnJson[category]['subCategories'][i]['title']

			expect(@learn.isAccordionExpanded($learnJson[category]['subCategories'][i]['title'])).to eq(false)
			expect(@learn.getTitleForLearnSubCategory(category, i)).to eq(@learn.getAccordianTextByIndex(i))

			@learn.clickAccordianByIndex(i)
			expect(@learn.isDownArrowIconDisplayed($learnJson[category]['subCategories'][i]['title'])).to eq(true)

			for j in 0..$learnJson[category]['subCategories'][i]['articles'].length-1
				articleId = $learnJson[category]['subCategories'][i]['articles'][j]['id']
				expect($learnJson[category]['subCategories'][i]['articles'][j]['title']).to eq(@learn.getSubcategoryText(subcategory, articleId))
				@learn.clickSubcategoryContent(subcategory, articleId)
				expect(@learn.getArticleContentById(articleId).strip.gsub(/<[^>]*>/ui,'')).to eq(@learn.content_element.inner_html.strip.gsub(/<[^>]*>/ui,''))
				@learn.back

			end

			if (i == $learnJson[category]['subCategories'].length-1)
				successful = true
			end
			return successful
		end
	end
end