require 'rubygems'
require 'rspec'

require 'page-object'
require 'json'

require_relative '../../../lib/helper/common_element'
require_relative '../../../lib/helper/accordion_helper'

class Manage < AccordionHelper
	include PageObject


	span(:firstPageContent, :css => 'div.primary-content div:nth-of-type(2) span')
	elements(:manageMenuList, :li, :css => '.secondary-list li')
	elements(:toolsList, :div, :css => '.page div div')

	button(:takeATimeOut, :css => '.take-a-time-out')
	button(:inspiringQuotes, :css => '.inspiring-quotes')
	button(:planASocialActivity, :css => '.plan-a-social-activity')
	button(:pleasantEvents, :css => '.pleasant-events')
	button(:distractYourself, :css => '.distract-yourself')
	button(:sootheYourself, :css => '.soothe-yourself')
	button(:changePerspective, :css => '.change-perspective')
	button(:relaxYourself, :css => '.relax-yourself')

	button(:tools, :css => '.toolsButton')
	button(:toolsBack, :css => '.pull-right.glyphicon')
	element(:toolHeading, :strong, :css => '.panel-heading strong')
	p(:toolDescription, :id => 'toolDescription')

	button(:tryAnother, :id => 'tryAnother')
	button(:done, :id => 'done')
	span(:favorite1, :id => 'favoriteButton')
	span(:favorites, :css => 'span[ng-click="addRemoveFavorites(shortenedHeading, key, data, true)"]')
	h2(:helpHeader, :css => '.modal-content h2')
	div(:modalDialog, :css => '.modal-dialog')

	p(:planASocialActivityIntro, :css => 'p[ng-show="shortenedHeading == \'planasocialactivity\'"]')
	button(:makeAPlan, :css => 'button[ng-show="shortenedHeading == \'planasocialactivity\'"]')
	button(:favoriteBtn, :css => '.favoriteButton')
	span(:planBack, :css => '.planBack')



	def getNthManageItem(index)
		return manageMenuList_elements[index - 1].text
	end

	def clickNthManageItem(index)
		 @browser.button(:css => ".secondary-list li:nth-of-type(" + index.to_s + ") button").click
	end

	def clickNthFavorite(index)
		favorite = @browser.span(:css => "#tools > div:nth-of-type(" + index.to_s + ") span")
		favorite.click
	end

	def clickNthToolItem(index)
		item = @browser.div(:css => "#tools > div:nth-of-type(" + index.to_s + ") div")
		return item.text.strip
	end


	def getManageMenuItem()
		return ["Take a Time Out",
         "Plan a Social Activity",
         "Inspiring Quotes",
		 "Pleasant Events",
		 "Distract Yourself",
		 "Soothe Yourself",
		 "Change Perspective",
		 "Relax Yourself"
		]
	end

	def favoriteChecked?(index)
		favoriteChecked = false
		favoriteItem = @browser.span(:css => "#tools > div:nth-of-type(" + index.to_s + ") span")
		if	(favoriteItem.class_name.include?('glyphicon-star'))
			favoriteChecked = true
		end
		return favoriteChecked
	end


end