require 'rspec'
require 'watir-webdriver'
require 'json'

require_relative '../../lib/pages/learn/learn'
require_relative '../../lib/browser_container/site'
require_relative '../../lib/helper/common_element'
require_relative '../rspec_helper'



describe '[Story# CFC-117]', :acceptance => true do


	app_title = "Care4Caregivers"

	before(:all) do
		@driver = Watir::Browser.new
		@site = Site.new(BASE_URL, @driver)

		@eula = @site.eula
		@landing = @site.landing
		@lp = @site.launchpad
		@rightNav = @site.rightMenu
		@leftNav = @site.leftMenu
		@learn = @site.learn

	end

	after(:all) do
		@site.quitDriver
	end

	context "when app learn section TEST# CFC-562" do
		it "should display learn under App options AC# CFC-168" do
			acceptEula()

			@landing.welcomeTitleForAuthenticatedUser_element.when_visible
			@leftNav.leftMenu_element.when_visible
			@leftNav.leftMenu

			@leftNav.title_element.when_visible
			expect(@leftNav.learn_element.visible?).to eq(true)
			expect(@leftNav.learn_element.text).to eq("Learn")

			expect(@leftNav.getNthOption(2)).to eq("Learn")
			@leftNav.learn

		end

		it "should allow to access learn section AC# CFC-169" do
			@learn.secondaryHeader_element.when_visible
			expect(@learn.secondaryHeader_element.text).to eq("Learn")
		end

		it "should display 5 subsections of the Learn section AC# CFC-170" do

			expect(@learn.getTitleForLearn(0)).to eq("Emotional Consequences of Caregiving")
			expect(@learn.getTitleForLearn(1)).to eq("Take Care of Yourself")
			expect(@learn.getTitleForLearn(2)).to eq("Build Resilience")
			expect(@learn.getTitleForLearn(3)).to eq("Manage Stress")
			expect(@learn.getTitleForLearn(4)).to eq("Manage Relationships")
		end


	end
end



