require 'rspec'
require 'watir-webdriver'

require_relative '../rspec_helper'

require_relative '../rspec_helper'

require_relative '../../lib/browser_container/site'
require_relative '../../lib/helper/common_element'
require_relative '../../lib/helper/accordion_helper'
require_relative '../../lib/pages/assess/assess'
require_relative '../../lib/pages/manage/manage'

describe 'Story# CFC-127 - Manage' , :acceptance => true do



	app_title = "Care4Caregivers"

	before(:all) do
		@driver = Watir::Browser.new
		@site = Site.new(BASE_URL, @driver)

		@login = @site.loginPage
		@eula = @site.eula
		@roa = @site.roa
		@landing = @site.landing
		@lp = @site.launchpad
		@rightNav = @site.rightMenu
		@leftNav = @site.leftMenu
		@manage = @site.manage

		acceptEula()
		@leftNav.leftMenu_element.when_visible
		@leftNav.leftMenu
		@leftNav.manage_element.when_visible
		@leftNav.manage


	end

	after(:all) do
		@site.quitDriver
	end


	context 'Manage Main Page -TC# CFC-600' do


		it "should display the Manage Main Page -AC# CFC-287" do
			@manage.primaryHeader_element.when_visible
			expect(@manage.primaryHeader).to eq("Manage")

			@manage.firstPageContent_element.when_visible
			expect(@manage.firstPageContent).to eq("Select an item from the Manage list to view details.")

			expect(@manage.secondaryHeader).to eq("Manage")

		end

		it "should display Available Items in the menu -AC# CFC-288" do
			menuList = @manage.getManageMenuItem()
			#@manage.manageMenuList_elements.when_visible

			for i in 1..@manage.manageMenuList_elements.length
				expect(@manage.getNthManageItem(i)).to eq(menuList[i-1])
			end

		end


	end


end
