#$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
require 'rubygems'
require 'page-object'
require 'page-object/page_factory'
require 'rspec'
require 'watir-webdriver'
require 'jsonpath'

#BASE_URL = "https://hatest.agilexhealth.com/care4caregivers"


BASE_URL = "http://localhost:8080/care4caregivers"
LP_URL = "http://localhost:8080/launchpad"

RSpec.configure do |c|
  # declare an exclusion filter
  c.filter_run_excluding :broken => true
  c.filter_run_excluding :regression => true
  c.filter_run_excluding :acceptance => true
  c.filter_run_excluding :smoketest => true
end

RSpec.configure do |config|

  fetch_current_example = RSpec.respond_to?(:current_example) ? proc { RSpec.current_example } : proc { |context| context.example }

  config.include PageObject::PageFactory

  config.after(:each) do
    example = fetch_current_example.call(self);

    if example.exception
      meta = example.metadata
      filename = File.basename(meta[:file_path])
      line_number = meta[:line_number]
      buildJobUrl = ENV["JOB_URL"]
      buildJobNumber = ENV["BUILD_NUMBER"]
      screenshot_name = "screenshot-#{filename}-#{line_number}.png"
      screenshot_dir = "screenshots" + (buildJobNumber != nil ? ("_" + buildJobNumber.to_s) : "")
      screenshot_path = screenshot_dir + "/#{screenshot_name}"


      if !Dir.exists?(screenshot_dir)
        Dir.mkdir screenshot_dir
      end

      @driver.screenshot.save screenshot_path

      puts "----Screenshot ------------------------------------------------------------------------"
      puts meta[:full_description] + "\n  Screenshot: #{screenshot_path}\n  " + (buildJobUrl != nil ? buildJobUrl.to_s : "") + "/ws/acceptance_test/watir/" + screenshot_path
      puts "---------------------------------------------------------------------------------------"
    end
  end

end



def acceptEulaAndQuickLogin(userName, password, userId )
  Watir::Wait.until {@eula.accept_element.exists?}
  @eula.accept_element.when_visible
  @eula.accept

  @landing.login_element.when_visible
  @landing.login

  Watir::Wait.until {@login.login_element.exists?}

  expect(@landing.appTitle).to eq("Department of Veterans Affairs")

  @login.login_with(userName, password, userId)
  @landing.appTitle_element.when_visible

end


def acceptEula()
  Watir::Wait.until {@eula.accept_element.exists?}
  @eula.accept_element.when_visible
  @eula.accept

end

