/*jshint unused: vars */
require.config({
	paths: {

		/*                  LIBRARIES                    */
		'angular'						: '../libs/angular/js/angular',
		'angularAnimate'				: '../libs/angular-animate/js/angular-animate',
		'angularBusy'					: '../libs/angular-busy/js/angular-busy',
		'angularSanitize'				: '../libs/angular-sanitize/js/angular-sanitize',
		'angularSnap'					: '../libs/angular-snap/js/angular-snap',
		'angularTouch'					: '../libs/angular-touch/js/angular-touch',
		'angularUiBootstrap'			: '../libs/angular-bootstrap/js/ui-bootstrap-tpls',
		'angularUiBootstrapOverwrites'	: '../libs/angular-bootstrap/js/ui-bootstrap-overwrites',
		'angularUiRouter'				: '../libs/angular-ui-router/js/angular-ui-router',
		'angularUiUtils'				: '../libs/angular-ui-utils/js/ui-utils',
		'clampjs'						: '../libs/Clamp.js/clamp',
		'highstocks'					: '../libs/highstock/js/highstock.src',
		'jQuery'						: '../libs/jquery/js/jquery',
		'lodash'						: '../libs/lodash/js/lodash',
		'moment-timezone'				: '../libs/moment-timezone/js/moment-timezone-with-data',
		'snap'							: '../libs/snap/js/snap',
		'text'							: '../libs/requirejs-text/text',
        'highcharts-3d'					: '../libs/highcharts/js/highcharts-3d.src',
        'highcharts-ng'					: '../libs/highcharts-ng/js/highcharts-ng',
        'moment'						: '../libs/moment/js/moment',

		/*                  DECORATORS                    */
		'ngMaskDecoration'				: 'decorations/ui-mask_decorator',
		'uiCollapseDecoration'			: 'decorations/ui-collapse_decorator',
		'ngClickDecoration'				: 'decorations/ng-click_decorator',

		/*                  APPLICATION                    */
		'appConfig'						: 'app-config',
		'app'							: 'app',
		'router'						: 'router',

		//templates is generated by grunt ngtemplate task
		'templates'						: 'templates',

		/*                  CONTAINER                    */
		'MainController'				: 'container/main/main_controller',
		'HeaderController'				: 'container/components/header/header_controller',
		'FooterController'				: 'container/components/footer/footer_controller',
		'TwoPanelController'			: 'container/components/content/two-column_controller',
		'List'							: 'container/components/content/list/list_directive',
		'Menu'							: 'container/components/menu/menu_directive',
		'SecondaryNavigationController' : 'container/components/content/secondary-navigation/secondary-navigation_controller',

		/*                  FEATURE SECTIONS                    */

		// Home
		'HomeModule'					: 'modules/home/home_module',
		'AuthenticatedUserController'	: 'modules/home/pages/authenticated-user/authenticated-user_controller',
		'UnauthenticatedUserController'	: 'modules/home/pages/unauthenticated-user/unauthenticated-user_controller',

		 // Sample Left-Hand Nav Feature
		'ManageModule'                  : 'modules/manage/manage_module',
		'ManageConstants'               : 'modules/manage/core/manage_constants',
		'ManageService'                 : 'modules/manage/core/manage_service',
		'ManageSummaryController'       : 'modules/manage/pages/summary/manage-summary_controller',
		'ManageEntryController'         : 'modules/manage/pages/entry/manage-entry_controller',
		'SupportModule'                  : 'modules/support/support_module',
		'SupportSummaryController'       : 'modules/support/pages/summary/support-summary_controller',
		'LearnModule'                : 'modules/learn/learn_module',
		'LearnSummaryController'     : 'modules/learn/pages/summary/learn-summary_controller',
		'FavoriteSummaryController'     : 'modules/favorites/summary/favorites-summary_controller',
		'FavoritesModule'              : 'modules/favorites/favorites_module',

		'AssessmentsModule'					: 'modules/assessments/assessments_module',
		'assessment_factory'				: 'modules/assessments/core/assessment_factory',
		'AssessmentController'				: 'modules/assessments/pages/question/assessment_controller',
		'AssessmentGraphController'			: 'modules/assessments/pages/graph/assessment_graph_controller',
		'AssessmentPreviewController'		: 'modules/assessments/pages/preview/assessment-preview_controller',
		'AssessmentNotificationController'	: 'modules/assessments/pages/notification/assessment-notification_controller',
		'ManageHelpController'              : 'modules/manage/pages/help/manage-help_controller',
		'NotificationsService'			: 'modules/assessments/core/notifications_service',
		'graphDataService' : 'modules/assessments/core/graph_data_service',
		'GraphHelpController'              : 'modules/assessments/pages/help/graph-help_controller',

		/*                  CORE COMPONENTS                    */
		'BaseCRUDService'				: 'core/services/base-crud_service',
		'CollectionCRUDService'			: 'core/services/collection-crud_service',

		'httpInterceptor'				: 'core/connection/httpInterceptor',
		'connection_error_service'		: 'core/connection/connection_error_service',
		'connection_timeout_service'	: 'core/connection/connection_timeout_service',
		'delayManager'					: 'core/connection/delay_factory',

		'EulaController'				: 'core/eula/eula_controller',
		'eula_service'					: 'core/eula/eula_service',

		'localResourceDirectoryService'	: 'core/resources/local-resource-directory_service',
		'mhpuser_service'				: 'core/resources/mhpuser_service',
		'patient'						: 'core/resources/patient_service',
		'PatientPreferenceService'      : 'core/resources/patient-preference_service',
		'resourcedirectory_service'		: 'core/resources/resourcedirectory_service',

		'global'						: 'core/services/global',
		'formatter'						: 'core/services/formatter',
		'authentication_service'		: 'core/services/auth_service',
		'unsavedChanges'				: 'core/services/unsaved_changes',
		'focusManager'					: 'core/services/focus_directive',
		'learnDataService'				: 'modules/learn/core/learn_data_service',

		/*					UI-COMPONENTS             */
		'EntryForm'						: 'ui-components/form/entry-form/entry-form_directive',
		'FormControlWrapper'			: 'ui-components/form/controls/core/form-control-wrapper/form-control-wrapper_directive',

		'iOSKeyboard'					: 'ui-components/form/controls/core/iOS-keyboard/iOS-keyboard_directive',
        
		'InputRange'					: 'ui-components/form/controls/simple/input-range/input-range_directive',
		'InputSelect'					: 'ui-components/form/controls/simple/input-select/input-select_directive',
		'InputText'						: 'ui-components/form/controls/simple/input-text/input-text_directive',
		'InputFile'						: 'ui-components/form/controls/simple/input-file/input-file_directive',
		'InputNumber'					: 'ui-components/form/controls/simple/input-number/input-number_directive',
		'InputPhone'					: 'ui-components/form/controls/simple/input-phone/input-phone_directive',
		'InputGroupCheckbox'			: 'ui-components/form/controls/simple/input-group-checkbox/input-group-checkbox_directive',
		'InputGroupRadio'				: 'ui-components/form/controls/simple/input-group-radio/input-group-radio_directive',
		
		'DateControls'					: 'ui-components/form/controls/composite/input-date-picker/date-controls_directive',
		'TimeControls'					: 'ui-components/form/controls/composite/input-time-picker/time-controls_directive',
		'InputDateTime'					: 'ui-components/form/controls/composite/input-date-time/input-date-time_directive',
		'MultiPhone'					: 'ui-components/form/controls/composite/input-multi-phone/multi-phone_directive',
		'MultiTime'						: 'ui-components/form/controls/composite/input-multi-time-picker/multi-time_directive',

		'UserInputPattern'				: 'ui-components/form/validation/user-input-pattern/user-input-pattern_directive',
		'ValidationSummary'				: 'ui-components/form/validation/validation-summary/validation-summary',
		'ErrorHandling'					: 'ui-components/form/validation/validation-summary/error-handling_directive',
		'RequiredField'					: 'ui-components/form/validation/required-field-indicator/required-field-indicator_directive',

		'modalService'					: 'ui-components/modals/helper/modal_service',
		'HelpController'				: 'ui-components/modals/help/help_controller',
		'AboutController'				: 'ui-components/modals/about/about_controller',

		'NavBar'						: 'ui-components/nav-bar/nav-bar_directive',
		'FilterButton'					: 'ui-components/filter-button/filter-button_directive',
		'FilterWrapper'					: 'ui-components/filter/filter-wrapper_directive',
		'StatusFilter'					: 'ui-components/filter/status-filter/status-filter_directive',

		'DataTableDirective'			: 'ui-components/table/table_directive',

		'AriaHidden'					: 'ui-components/accessibility/aria-hidden/aria-hidden_directive',
		'aDirecitve'					: 'ui-components/html-extensions/a_directive',
		'iDirecitve'					: 'ui-components/html-extensions/i_directive',
		'clamp'							: 'ui-components/line-clamp/clamp_directive',
		'BackButton'					: 'ui-components/back-button/back-button_directive',
		'disableNgAnimate'				: 'ui-components/disable-ng-animate/disable-ng-animate_directive',

		// ACCESSIBLE DIRECTIVES
		'AccessibleAccordion'			: 'ui-components/accordion/accessibleaccordion_directive',
		'accessibleCarousel'			: 'ui-components/carousel/accessible-carousel_directive',
		'AccessibleCarouselController'	: 'ui-components/carousel/accessible-carousel_controller',
		'accessibleDatePickerServices'	: 'ui-components/form/controls/simple/accessibledatepicker/accessibledatepicker_directive',
		'accessibleTimePickerServices'	: 'ui-components/form/controls/simple/accessibletimepicker/accessibletimepicker_directive'
	},
	shim: {
		'angular'					: {deps: ['jQuery'], 'exports': 'angular'},
		'jQuery'					: {'exports': '$'},
		'lodash'					: {'exports': '_'},
		'highstocks'				: ['jQuery'],
        'highcharts-3d'             : ['highstocks'],
        'moment'					: {'exports' : 'moment'},
		'moment-timezone'			: ['moment'],
		'clampjs'					: {'exports': '$clamp'},
		'angularSanitize'			: ['angular'],
		'angularUiUtils'			: ['angular'],
		'angularUiRouter'			: ['angular'],
		'angularUiBootstrap'		: ['angular'],
		'angularUiBootstrapOverwrites'		: ['angularUiBootstrap'],
		'angularTouch'				: ['angular'],
		'angularBusy'				: ['angular'],
		'angularSnap'				: ['angular', 'snap'],
		'angularAnimate'			: ['angular'],
		'templates'					: ['app']
	},
	priority: ['angular']
});

require(
	[
		'app',
		'angular',
		'angularTouch',
		'angularUiUtils',
		'angularUiRouter',
		'angularSanitize',
		'angularAnimate',
		'angularBusy',
		'AriaHidden',
		'AccessibleAccordion',
		'accessibleCarousel',
		'AccessibleCarouselController',
		'aDirecitve',
		'angularUiBootstrap',
		'angularUiBootstrapOverwrites',
		'appConfig',
		'BackButton',
		'BaseCRUDService',
		'clamp',
		'CollectionCRUDService',
		'DataTableDirective',
		'delayManager',
		'disableNgAnimate',
		'EntryForm',
		'ErrorHandling',
		'FilterButton',
		'FilterWrapper',
		'focusManager',
		'formatter',
		'FormControlWrapper',
		'global',
		'highstocks',
		'httpInterceptor',
		'iDirecitve',
		'InputDateTime',
		'InputFile',
		'InputGroupCheckbox',
		'InputGroupRadio',
		'InputNumber',
		'InputPhone',
		'InputRange',
		'InputSelect',
		'InputText',
		'iOSKeyboard',
		'List',
		'lodash',
		'Menu',
		'moment-timezone',
		'MultiPhone',
		'MultiTime',
		'NavBar',
		'ngClickDecoration',
		'ngMaskDecoration',
		'RequiredField',
		'router',
		'StatusFilter',
		'templates',
		'TwoPanelController',
		'uiCollapseDecoration',
		'unsavedChanges',
		'UserInputPattern',
		'ValidationSummary',
        'highcharts-3d'
	], function (app, angular) {
		'use strict';

		angular.element().ready(function () {
			angular.bootstrap(document, [app.name]);
		});
	});