define(['HeaderController'], function () {
	'use strict';

	describe("The Header Controller", function () {
		var controller,
			scope,
			authServiceMock;

		beforeEach(function () {
			module('angularTemplateApp');

			authServiceMock = jasmine.createSpyObj('authenticationService', ['isAuthenticated']);
			authServiceMock.isAuthenticated.andReturn(true);

			module(function ($provide) {
				$provide.value('authenticationService', authServiceMock);
			});

			inject(function ($controller, $rootScope) {
				scope = $rootScope.$new();
				controller = $controller('HeaderController', {$scope: scope});
			});
		});

		describe("when page is initialized", function() {
			it("should set the app title", function() {
				expect(scope.title).toBe("Care4Caregivers");
			});
			it("should call authService and set the user's authentication status", function() {
				expect(authServiceMock.isAuthenticated).toHaveBeenCalled();
				expect(scope.isUserAuthenticated).toBe(true);
			});
		});
	});
});