define(['angular', 'app'], function (angular, app) {
	"use strict";
	app.service('localResourceDirectoryService', function ($http, $q, mhpuser) {
		var directory = {},
			isReady;

		directory.fetch = function () {

			if (isReady) {
				return isReady.promise;
			}

			isReady = $q.defer();
			$q.all({mhpuser : mhpuser.fetch(), resources : $http.get("resource-directory.json")})
				.then(function (responses) {
					var patient = responses.mhpuser;
					var resources = responses.resources.data;
					var patientId = patient.userIdentifier.uniqueId;
					var assigningAuthority = patient.userIdentifier.assigningAuthority;
					resources.link.forEach(function (link) {
						directory[link.title] = link.href.replace("{ASSIGNING_AUTHORITY}", assigningAuthority).replace('{UNIQUE_ID}', patientId);
					});
					isReady.resolve(directory);
				}, function (error) {
					isReady.reject(error);
					isReady = null;
				});

			return isReady.promise;

		};

		return directory;
	});
});