define([
		'app',
		'TwoPanelController',
		'AssessmentController',
		'AssessmentPreviewController',
		'AssessmentNotificationController',
		'AssessmentGraphController',
		'GraphHelpController'
	],
	function (app) {
		"use strict";

		app.config(function ($stateProvider) {
			$stateProvider
				.state('main.auth.two-panel.secondary-navigation.assessment', {
					url: '/assessments',
					appNavIndex : 3,
					iconClass : 'icon icon-homeselfassessbutton',
					data: {
						appletName: "Assess",
						panel: "secondary",
						baseStateName : 'main.auth.two-panel.secondary-navigation.assessment',
						initialState : "summary",
						paramSections : [
							{
								paramValue : "takeAssessment",
								sectionName : "Take Assessment",
								sectionIndex : 1,
								iconClass: 'icon icon-assess-takeassessment',
								backState : "^"
							},
							{
								paramValue : "graphPastResults",
								sectionName : "Past Results",
								sectionIndex : 2,
								iconClass: 'icon icon-assess-graphpastresults',
								backState : "^"
							}
						]
					},
					views : {
						'primary@main.auth.two-panel': {
							templateUrl: 'src/modules/assessments/pages/assessment-placeholder_template.html'
						}
					}
				})
				.state('main.auth.two-panel.secondary-navigation.assessment.summary', {
					url: '/{section:takeAssessment}/summary',
					data: {
						panel : "primary",
						backState : "^"
					},
					views: {
						'primary@main.auth.two-panel': {
							templateUrl: 'src/modules/assessments/pages/question/assessment-question_template.html',
							controller: 'AssessmentController'
						}
					}
				})
				.state('main.auth.two-panel.secondary-navigation.assessment.preview', {
					params: ['assessmentId', 'resultId'],
					views: {
						'secondary@main.auth.two-panel': {
							templateUrl: 'src/modules/assessments/pages/preview/assessment-preview_template.html',
							controller: 'AssessmentPreviewController'
						}
					}
				})
				.state('main.auth.two-panel.secondary-navigation.assessment.graph', {
					url: '/{section:graphPastResults}/summary',
					data: {
						panel : "primary",
						backState : "^"
					},
					views: {
						'primary@main.auth.two-panel': {
							templateUrl: 'src/modules/assessments/pages/graph/assessment-graph_template.html',
							controller: 'AssessmentGraphController'
						}
					}
				})
			.state('main.auth.two-panel.secondary-navigation.assessment.notification', {
				url: '/{section:scheduleReminders}/summary',
				data: {
					panel : "primary",
					backState : "^"
				},
				views: {
					'primary@main.auth.two-panel': {
						templateUrl: 'src/modules/assessments/pages/notification/assessment-notification_template.html',
						controller: 'AssessmentNotificationController'
					}
				}
			});
	});
	});