define(['angular', 'app', 'patient', 'localResourceDirectoryService'], function (angular, app) {
	"use strict";
	app.service('graphDataService', function ($http, $q, patient, $log, localResourceDirectoryService) {
		var service = {};

		service.fetchGraphData = function(){

			var deferred = $q.defer();
			localResourceDirectoryService.fetch().then(function(directory){
				var date = new Date();
				var currentDate = (date.getMonth()+1)+'/'+ date.getDate()+'/'+date.getFullYear();
				var sixMonths = date.setMonth(date.getMonth() - 6);
				sixMonths = (date.getMonth()+1)+'/'+ date.getDate()+'/'+date.getFullYear();
				var graphDataUrl = directory['patient-assessment-graphdata']+'?startDate='+sixMonths+'&endDate='+currentDate;

				$http.get(graphDataUrl).success(function (response) {
					deferred.resolve(response);
				}).error(function (response, status) {
					$log.error('error fetching graph data: ' + status);
				});

			});

			return deferred.promise;
		};

		return service;

	});
});
