define([ 'angular', 'app', 'graphDataService'], function (angular, app, graphDataService) {
	"use strict";
	app.controller('AssessmentGraphController', function ($scope, $state, $stateParams, $q, patient, $filter, $modal, graphDataService) {
		$scope.table = true;

		$scope.mail = function(){
			var table = "",
				i=0;
			$.each($('.resultTable td'), function(col){
				if(i%2==1){
					table += "Score: "+$(this).text()+"%0A%0A";
				}
				else{
					table += "Date: "+$(this).text()+"%0A";
				}
				i++;
			});
			window.location = 'mailto:?subject=My%20Care4Caregiver%20Past Results&body=Assessments%20Scores%20from%20Care4Caregiver%0D%0A%0D%0A'+table;
		}

		graphDataService.fetchGraphData().then(function(response){

			var chartConfig = {
				options: {
					chart: {
						type: 'spline',
						borderColor: '#EBBA95',
						borderWidth: 2,
						borderRadius: 3,
						zoomType: 'x'
					}
				},
				useHighStocks: false,
				title: {text:''},
				credits: { enabled: false },
				loading: false,
				legend: { enabled: false }
			};


			var getXaxisConfig = function() {
				var xConfig = {
					type: 'datetime',
					dateTimeLabelFormats: {
						day: '%b %e',
						week: '%b %e',
						month: '%b %Y',
						year: '%Y'
					},
					minRange: 24 * 3600000,
					minTickInterval: 3600000
				};

				return xConfig;
			};

			var getYaxisConfig = function() {
				var yConfig = {};
				yConfig.title = {text:''};

				return yConfig;
			};

			var graphResults;

			chartConfig.xAxis = getXaxisConfig();
			chartConfig.yAxis = getYaxisConfig();
			graphResults = response;
			chartConfig.xAxis.min = utcDate(graphResults.dataSeries[0].minX);
			chartConfig.xAxis.max = utcDate(graphResults.dataSeries[0].maxX);

			chartConfig.yAxis.min = graphResults.dataSeries[0].minY;
			chartConfig.yAxis.max = graphResults.dataSeries[0].maxY;

			chartConfig.title = {text:graphResults.graphTitle};
			chartConfig.series = [{
				"name": "Assessment Score",
				"data": []
			}]

			$scope.maxDate = new Date(chartConfig.xAxis.max);
			$scope.minDate = new Date(chartConfig.xAxis.max);
			$scope.minDate = new Date($scope.minDate.setMonth($scope.minDate.getMonth() - 6));

			var dataPoints = $filter('orderBy')(graphResults.dataSeries[0].item, 'date');
			$scope.dataPoints = dataPoints;

			$scope.graphData = true;

			if (dataPoints == undefined || dataPoints.length == 0){
				$scope.graphData = false;
				return;
			}

			angular.forEach(dataPoints, function(dataPoint) {
				chartConfig.series[0].data.push([utcDate(dataPoint.x), dataPoint.y]);
			});
			angular.forEach($scope.dataPoints, function(dataPoint) {
				dataPoint.date = dataPoint.date.split('T')[0].split('-')[1]+'/'+dataPoint.date.split('T')[0].split('-')[2]+'/'+dataPoint.date.split('T')[0].split('-')[0] + " "+dataPoint.date.split('T')[1].split('-')[0].split(':')[0]+':'+dataPoint.date.split('T')[1].split('-')[0].split(':')[1];
			});
			$scope.chartConfig = chartConfig;

		});

		var utcDate = function(dateInSeconds){

			var inputDate = new Date();
			inputDate.setTime(dateInSeconds * 1000);
			var dateUTC = Date.UTC(
					parseInt($filter('date')(inputDate, 'yyyy')),
					parseInt($filter('date')(inputDate, 'MM')) - 1,
					parseInt($filter('date')(inputDate, 'dd')),
					0, 0
				);

			return dateUTC;
		};
		$scope.help = function(){
			$modal.open({
				windowTemplateUrl: 'src/ui-components/modals/helper/modal-window_template.html',
				templateUrl: 'src/modules/assessments/pages/help/graph-help_template.html',
				controller: 'GraphHelpController'
			})
		}
	});
});

