define([ 'angular', 'app', 'assessment_factory'], function (angular, app) {
	"use strict";
	app.controller('AssessmentPreviewController', function ($scope, $state, $stateParams, $timeout, $q, assessment, patient, focusService, $modal) {

		$scope.reminders = function(){
			$modal.open({
				windowTemplateUrl: 'src/ui-components/modals/helper/modal-window_template.html',
				templateUrl: 'src/modules/assessments/pages/notification/assessment-notification_template.html',
				controller: 'AssessmentNotificationController'
			});
		}

		patient.fetch().then(function(response){
			var patientData = response;
			$scope.patientLastName = patientData.lastName;
			$scope.patientFirstName = patientData.firstName;
		});

		$scope.$on('$viewContentLoaded', function (event) {
			focusService.focusPrimary();
		});
		focusService.focusPrimary();

		var assessmentData = assessment;
		$q.all({assessmentData: assessment.fetchResults($stateParams.assessmentId, $stateParams.resultId)}).then(function (response) {
			assessmentData = response.assessmentData;

			$scope.assessmentTitle = assessmentData.uniqueTitle;
			$scope.dateTaken = assessmentData.dateTaken;
			$scope.version = assessmentData.version;
			$scope.questions = assessmentData.assessmentResponse;

			$scope.results = assessmentData.assessmentResultScore;
			$scope.tools = $scope.results.toolCategories;
			localStorage.setItem('c4c-recommendations', JSON.stringify($scope.tools));

			$scope.questions.forEach(function (question) {
				switch (question.question.type) {
					case "SLIDER":
						question.inputType = "range";
						break;
					case "FREE_TEXT":
						question.inputType = "text";
						break;
					case "MULTI_OPTION_MULTI_RESPONSE_NONE_AVAILABLE":
					case "MULTI_OPTION_MULTI_RESPONSE":
						question.inputType = "checkbox";
						break;
					case "MULTI_OPTION_SINGLE_RESPONSE":
					default:
						question.inputType = "radio";
				}
			});
		});
		$scope.printResults = function() {
			var newWin = window.frames["printf"];
			var printContents = '';
			$('.printResults').each(function() {
				printContents += $(this).html();
			});
			if(window.navigator.userAgent.indexOf("MSIE ") > 0 || !!navigator.userAgent.match(/Trident.*rv[ :]*11\./)){
				newWin.document.write('<body>'+printContents+'</body>');
				document.getElementById('printf').contentWindow.document.execCommand('print', false, null);
			}
			else{
				newWin.document.write('<body onload="print()">'+printContents+'</body>');
			}
			newWin.document.close();
		}
	});
});