define(["angular", "app"], function (angular, app) {
	"use strict";

	app.controller("FavoriteSummaryController", function ($scope, $filter, $http, $interval) {
		$scope.favorites = JSON.parse(localStorage.getItem('c4c-favorites'));
		if(!$scope.favorites){
			$scope.noFavorites = 'You do not have any favorites. To mark an item as a favorite, select the star icon for that item.';
		}
		$scope.openFavorite = function(section,title,resource){
			if(section!='Plan A Social Activity'){
				$scope.favoriteOpen = true;
			}
			else{
				window.location = 'mailto:?subject='+title;
			}
			$scope.section = section;
			$scope.title = title;
			$scope.resource = resource;
			var json = section.replace(/\s/g, '')+".json";
			$scope.dataDirectory = "data/manage/";
			$http.get($scope.dataDirectory + json).success(function (data) {
				$scope.favoriteDetails = data[$scope.title];
			});
			if(section == 'Take a Time Out'){
				$scope.countDown();
			}
			else if(section == 'Relax Yourself'){
				$scope.intro = true;
			}
		}
		$scope.countDown = function(){
			$scope.tenMinutes = 60 * 10;
			var mins, seconds;
			$scope.counter = "10:00";
			if(!$scope.timerStarted) {
				$interval(function () {
					$scope.timerStarted = true;
					mins = parseInt($scope.tenMinutes / 60)
					seconds = parseInt($scope.tenMinutes % 60);
					seconds = (seconds < 10) ? "0" + seconds : seconds;
					$scope.tenMinutes--;
					$scope.counter = (mins + ":" + seconds);
					if ($scope.tenMinutes < 0) {
						$scope.tenMinutes = 0;
					}
				}, 1000);
			}
		}
		$scope.playVideo = function(){
			$('video')[0].play();
		}
		$scope.stopVideo = function(){
			$('video')[0].pause();
		}
		$scope.removeFavorites = function(title){
			$scope.favorites = $scope.favorites.filter(function (el) {
				return el.title !== title;
			});

			localStorage.setItem('c4c-favorites', JSON.stringify($scope.favorites));
			if(JSON.parse(localStorage.getItem('c4c-favorites')).length <= 0){
				localStorage.removeItem('c4c-favorites');
				$scope.noFavorites = 'You do not have any favorites. To mark an item as a favorite, select the star icon for that item.';
			}
			$scope.favorites = JSON.parse(localStorage.getItem('c4c-favorites'));
			$scope.favoriteOpen = false;
		}
		$('.glyphicon, .icon').on('keypress', function(e){
			if(e.which == 13){
				$(e.target).click();
			}
		});
	});
});