define(['app', 'AuthenticatedUserController', 'UnauthenticatedUserController'],
	function (app) {
		"use strict";

		app.config(function ($stateProvider, $urlRouterProvider) {
			$urlRouterProvider.otherwise(function ($injector) {
				var $state = $injector.get('$state');
				$state.go('main.auth.authenticated-user');
			});
			$stateProvider
				.state('main.auth.authenticated-user', {
					url: '/home',
					appNavIndex: 1,
					iconClass: 'icon icon-home',
					data:{
						appletName: "Home"
					},
					views: {
						"@main": {
							templateUrl: 'src/container/components/content/single-column_template.html'
						},
						'primary@main.auth.authenticated-user': {
							templateUrl: 'src/modules/home/pages/authenticated-user/authenticated-user_template.html',
							controller: 'AuthenticatedUserController'
						}
					}
				})
				.state('main.unauthenticated-user', {
					url: '/login',
					data : {
						requiresAuth: false
					},
					templateUrl: 'src/modules/home/pages/unauthenticated-user/unauthenticated-user_template.html',
					controller: 'UnauthenticatedUserController',
					module: 'preventNavigation'
				});
		});
	});