define(['AuthenticatedUserController'], function () {
	'use strict';

	describe("The Authenticated User Controller", function () {
		var controller,
			scope,
            httpMock,
			patientServiceMock,
			resourceDirectoryServiceMock,
			globalDelayTrackerMock,
            focusServiceMock,
            modal;

		beforeEach(function () {
			module('angularTemplateApp');

			patientServiceMock = jasmine.createSpyObj('patient', ['fetch']);
			resourceDirectoryServiceMock = jasmine.createSpyObj('resourceDirectory', ['fetch']);
			globalDelayTrackerMock = jasmine.createSpyObj('globalDelayTracker', ['active']);
            focusServiceMock = jasmine.createSpyObj('focusService', ['focusMain']);

			patientServiceMock.fetch.andReturn({then: function() {} });
			resourceDirectoryServiceMock.fetch.andReturn({then: function() {} });

			module(function ($provide) {
				$provide.value('patient', patientServiceMock);
				$provide.value('resourceDirectory', resourceDirectoryServiceMock);
				$provide.value('globalDelayTracker', globalDelayTrackerMock);
                $provide.value('focusService', focusServiceMock);
			});

			inject(function ($controller, $rootScope, $httpBackend, $modal) {
				scope = $rootScope.$new();
                modal = $modal;
                httpMock = $httpBackend;

				controller = $controller('AuthenticatedUserController', {$scope: scope});
			});
		});

		it("should focus on the main header", function () {
			expect(focusServiceMock.focusMain).toHaveBeenCalled();
		});
	});
});