define(['angular', 'app'], function (angular, app) {
	"use strict";
	app.service('learnDataService',
		function ($http, $q, $log) {
			var service = {};

			service.getLearnCategories = function () {
				var deferred = $q.defer();

				$http.get('data/learn/learn-categories.json').success(function (response) {
					deferred.resolve(response);
				}).error(function (response, status) {
						$log.error('error fetching learn categories: ' + status);
				});
				return deferred.promise;
			};

			service.getArticles = function () {
				var deferred = $q.defer();

				$http.get('data/learn/articles.json').success(function (response) {
					deferred.resolve(response);
				}).error(function (response, status) {
					$log.error('error fetching learn articles: ' + status);
				});
				return deferred.promise;
			};

			return service;
		});
});
