define([
		'app',
		'LearnSummaryController'
	],
	function (app) {
		"use strict";

		app.config(function ($stateProvider) {
			$stateProvider
				.state('main.two-panel.secondary-navigation.learn', {
					url: '/learn',
					appNavIndex: 2,
					iconClass: 'icon icon-homelearnbutton',
					data: {
						appletName: "Learn",
						panel: "secondary",
                        baseStateName : 'main.two-panel.secondary-navigation.learn',
                        initialState : "summary",
                        paramSections : [
                            {
                                paramValue : "emotionalConsequences",
                                sectionName : "Emotional Consequences of Caregiving",
                                sectionIndex : 1,
	                            iconClass: 'icon icon-learn-emotionalconsequencesofcaregiving',
                                backState : "^"
                            },
							{
								paramValue : "takeCareOfYourself",
								sectionName : "Take Care of Yourself",
								sectionIndex : 2,
								iconClass: 'icon icon-learn-takecareofyourself',
								backState : "^"
							},
							{
								paramValue : "buildResilience",
								sectionName : "Build Resilience",
								sectionIndex : 3,
								iconClass: 'icon icon-learn-buildresilience',
								backState : "^"
							},
							{
								paramValue : "manageStress",
								sectionName : "Manage Stress",
								sectionIndex : 4,
								iconClass: 'icon icon-learn-managestress',
								backState : "^"
							},
							{
								paramValue : "manageRelationships",
								sectionName : "Manage Relationships",
								sectionIndex : 5,
								iconClass: 'icon icon-learn-managerelationships',
								backState : "^"
							}

						]
					},
					views : {
						'primary@main.two-panel': {
							templateUrl: 'src/modules/learn/pages/learn-placeholder_template.html'
						}
					}
				})
				.state('main.two-panel.secondary-navigation.learn.summary', {
					url: '/{section:emotionalConsequences|takeCareOfYourself|buildResilience|manageStress|manageRelationships}/summary',
					data: {
						panel : "primary",
						backState : "^"
					},
					views : {
						'primary@main.two-panel': {
                            templateUrl: 'src/modules/learn/pages/summary/learn-summary_template.html',
							controller: 'LearnSummaryController'
						}
					}
				});
		});
	}
);
