define(["angular", "app", "learnDataService"], function (angular, app, learnDataService) {
	"use strict";

	app.controller("LearnSummaryController", function ($scope, $filter, $state, $stateParams, learnDataService) {
		$scope.isArticle = false;
		$scope.featureName = $state.current.data.appletName;
		$scope.sectionTitle = $filter("filter")($state.current.data.paramSections, { paramValue: $stateParams.section }, true)[0].sectionName;
		$scope.sectionIndex = $filter("filter")($state.current.data.paramSections, { paramValue: $stateParams.section }, true)[0].sectionIndex - 1;

		learnDataService.getLearnCategories().then(function(response){
			$scope.learnCategory = response[$scope.sectionIndex];
			var learnSize = $scope.learnCategory.subCategories.length;
			if(learnSize==1){
				$scope.learnCategory.subCategories[0].open = true;
			}
		});

		$scope.openArticle = function(subCategoryTitle, articleId){
			$scope.previousSectionTitle = $scope.sectionTitle;
			$scope.sectionTitle = subCategoryTitle;

			learnDataService.getArticles().then(function(response){
				var article  = $filter("filter")(response, { id: articleId }, true)[0];
				$scope.articleHeading = article.title;
				$scope.articleMessage = article.content;
			});

			$scope.isArticle = true;

		};

		$scope.closeArticle = function(){
			$scope.isArticle = false;
			$scope.articleMessage = "";
			$scope.sectionTitle = $scope.previousSectionTitle;
		};

	});
});