define([
		'app',
		'ManageService',
		'ManageSummaryController',
		'ManageEntryController',
		'ManageHelpController'
	],
	function (app) {
		"use strict";

		app.config(function ($stateProvider) {
			$stateProvider
				.state('main.two-panel.secondary-navigation.manage', {
					url: '/manage',
					appNavIndex: 4,
					iconClass: 'icon icon-homemanagebutton',
					data: {
						appletName: "Manage",
						panel: "secondary",
                        baseStateName : 'main.two-panel.secondary-navigation.manage',
                        initialState : "summary",
                        paramSections : [
                            {
	                            paramValue : "TakeATimeOut",
	                            sectionName : "Take a Time Out",
	                            sectionIndex : 1,
	                            backState : "^"
                            },
	                        {
		                        paramValue : "PlanASocialActivity",
		                        sectionName : "Plan a Social Activity",
		                        sectionIndex : 2,
		                        backState : "^"
	                        },
	                        {
		                        paramValue : "InspiringQuotes",
		                        sectionName : "Inspiring Quotes",
		                        sectionIndex : 3,
		                        backState : "^"
	                        },
                            {
	                            paramValue : "PleasantEvents",
	                            sectionName : "Pleasant Events",
	                            sectionIndex : 4,
	                            backState : "^"
                            },

                            {
	                            paramValue : "DistractYourself",
	                            sectionName : "Distract Yourself",
	                            sectionIndex : 5,
	                            backState : "^"
                            },
                            {
	                            paramValue : "SootheYourself",
	                            sectionName : "Soothe Yourself",
	                            sectionIndex : 6,
	                            backState : "^"
                            },
                            {
	                            paramValue : "ChangePerspective",
	                            sectionName : "Change Perspective",
	                            sectionIndex : 7,
	                            backState : "^"
                            },
                            {
	                            paramValue : "RelaxYourself",
	                            sectionName : "Relax Yourself",
	                            sectionIndex : 8,
	                            backState : "^"
                            }
                        ]
					},
					views : {
						'primary@main.two-panel': {
							templateUrl: 'src/modules/manage/pages/manage-placeholder_template.html'
						}
					}
				})
                .state('main.two-panel.secondary-navigation.manage.summary', {
					url: '/{section:TakeATimeOut|PleasantEvents|DistractYourself|SootheYourself|ChangePerspective|RelaxYourself|PlanASocialActivity|InspiringQuotes}/summary',
                    data: {
                        panel : "primary",
                        backState : "^"
                    },
                    views : {
                        'primary@main.two-panel': {
                            templateUrl: 'src/modules/manage/pages/summary/manage-summary_template.html',
                            controller: 'ManageSummaryController'
                        }
                    }
                })
		});
	}
);
