define(['angular', 'app', 'formatter', "ManageService"], function (angular, app, ManageService) {
	'use strict';

	app.controller('ManageHelpController', function ($scope, $state, formatter, $modalInstance, ManageService) {
		$scope.$watch(function () {
			return $('div.modal-header h3').is(":visible");
		}, function (isVisible, wasVisible) {
			if (isVisible && !wasVisible) {
                focusService.focusElement($('div.modal-header h3'));
			}
		});
		ManageService.getHelp().then(function (response) {
			$scope.help = response;
		});
		$scope.cancel = function () {
			$modalInstance.dismiss('cancel');
		};
	})
	.filter('orderObjectBy', function() {
		return function(items, field, reverse) {
			var filtered = [];
			angular.forEach(items, function(item) {
				filtered.push(item);
			});
			filtered.sort(function (a, b) {
				return (a[field] > b[field] ? 1 : -1);
			});
			if(reverse) filtered.reverse();
			return filtered;
		};
	});
});