define(["angular", "app", "ManageService"], function (angular, app, ManageService) {
	"use strict";

	app.controller("ManageSummaryController", function ($scope, $filter, $location, $interval, $state, $http, $timeout, $stateParams, ManageService, $q) {
		$scope.featureName = $state.current.data.appletName;
		$scope.sectionTitle = $filter("filter")($state.current.data.paramSections, { paramValue: $stateParams.section }, true)[0].sectionName;
		$scope.sectionIndex = $filter("filter")($state.current.data.paramSections, { paramValue: $stateParams.section }, true)[0].sectionIndex - 1;
		var dataDirectory = null;
		var getRightOfAccessUrl = function () {
        	var deferred = $q.defer();
        	var servicesPath = $http({
        		url: 'resource-directory.json',
        		method: "GET"
        	}).success(function(data) {
        		var path = $filter('filter')(data.link, {title: "video-resource"})[0].href;
        		deferred.resolve(path);
			});
			return deferred.promise;
		};

		if(navigator.userAgent.indexOf('Android')>-1){
			getRightOfAccessUrl().then(function (path) {
				dataDirectory = path;
				$scope.dataDirectory = path;
            });
		}
		else{
			dataDirectory = "data/manage/";
			$scope.dataDirectory = dataDirectory;
		}

		$scope.tools = true;
		var getArticle = function() {
			ManageService.getManageCategories().then(function (response) {
				$scope.manageCategory = response[$scope.sectionIndex];
				var subsection = $filter("filter")(response)[$scope.sectionIndex];
				$scope.subsectionHeading = subsection.title;
				$scope.shortenedHeading = subsection.title.replace(/\s/g, '').toLowerCase();

				$http.get(dataDirectory + subsection.src)
					.success(function (data) {
						if (subsection.resources) {
							$http.get(dataDirectory + subsection.resources)
								.success(function (data) {
									$scope.resources = data;
									$scope.resource = dataDirectory + $scope.resources[Math.floor((Math.random() * $scope.resources.length) + 0)];
								})
						}


						$scope.subsectionCollection = data;
						if ($scope.tools = true) {
							var count = 0;
							for (var prop in $scope.subsectionCollection) {
								if (Math.random() < 1 / ++count) {
									var result = prop;
								}
							}
							var manageItem = $scope.subsectionCollection[result];
							$scope.openTextBody(result, manageItem.TextBody);
							if ($scope.manageCategory.title == 'Inspiring Quotes'){
								$scope.source = manageItem.Source;
							}
						}
					})

				if ($scope.manageCategory.title == 'Inspiring Quotes'){
					$scope.resource = dataDirectory + 'coastline.png';
				}

				if ($scope.manageCategory.title == 'Pleasant Events'){
					$scope.resource = dataDirectory + 'boy_in_forest.png';
				}

				if ($scope.manageCategory.title == 'Distract Yourself'){
					$scope.resource = dataDirectory + 'nebula.png';
				}

				if ($scope.manageCategory.title == 'Soothe Yourself'){
					$scope.resource = dataDirectory + 'butterfly.png';
				}

				if ($scope.manageCategory.title == 'Change Perspective'){
					$scope.resource = dataDirectory + 'earth.png';
				}


			});
			$scope.openTextBody = function(title, body){
				$scope.textBody = true;
				$scope.dataText = body;
				$scope.dataTitle = title;
				$scope.countDown();
			}

			$scope.countDown = function(){
				$scope.tenMinutes = 60 * 10;
				var mins, seconds;
				$scope.counter = "10:00";
				if(!$scope.timerStarted) {
					$interval(function () {
						$scope.timerStarted = true;
						mins = parseInt($scope.tenMinutes / 60)
						seconds = parseInt($scope.tenMinutes % 60);
						seconds = (seconds < 10) ? "0" + seconds : seconds;
						$scope.tenMinutes--;
						$scope.counter = (mins + ":" + seconds);
						if ($scope.tenMinutes < 0) {
							$scope.tenMinutes = 0;
						}
					}, 1000);
				}
			}
		}
		getArticle();
		$scope.toolsFunction = function(){
			$scope.tools = false;
			$scope.textBody = false;
			$('video')[0].pause()
		}
		$scope.$watch('dataTitle', function(){
			$scope.checkFavorites();
		});
		$scope.checkFavorites = function(key) {
			$scope.favorites = false;
			if (localStorage.getItem('c4c-favorites')) {
				var favorites = JSON.parse(localStorage.getItem('c4c-favorites'));
				if (favorites.length > 0) {
					$scope.favoriteCollection = favorites;
					for(var i = 0; i < $scope.favoriteCollection.length; i++){
						if(key){
							if(key == $scope.favoriteCollection[i].title){
								return true;
							}
							if($scope.favoriteCollection[i].title == $scope.dataTitle){
								$scope.favorites = true;
							}
						}
						else if($scope.favoriteCollection[i].title == $scope.dataTitle){
							$scope.favorites = true;
						}
						if($scope.favoriteCollection[i].section == 'Plan A Social Activity'){
							$scope.planFavs = true;
						}
						else{
							$scope.planFavs = false;
						}
					}
				}
			}
			else {
				$scope.favoriteCollection = [];
				$scope.favorites = false;
			}
		}
		$scope.addRemoveFavorites = function(section, title, resource, pass){
			if (($scope.favorites && !pass) || $scope.checkFavorites(title)) {
				$scope.favoriteCollection = $scope.favoriteCollection.filter(function (el) {
					return el.title !== title;
				});
				$scope.favorites = false;
			}
			else {
				$scope.favoriteCollection.push({
					"section": section,
					"title": title,
					"resource": resource
				});
				$scope.favorites = true;
			}

			localStorage.setItem('c4c-favorites', JSON.stringify($scope.favoriteCollection));
			if(JSON.parse(localStorage.getItem('c4c-favorites')).length <= 0){
				localStorage.removeItem('c4c-favorites');
			}
		}
		$scope.tryAnother = function(){
			getArticle();
			$scope.checkFavorites();
		}
		$scope.done = function(){
			$location.path('manage');
		}
		$scope.intro = true
		$scope.activityMailer = function(key){
			window.location = 'mailto:?subject='+key;
		};
		$scope.playVideo = function(){
			$('video')[0].play();
		}
		$scope.tryAnotherVideo = function(random){
			$('video')[0].pause();
			if(random) {
				$scope.tryAnother();
			}
			$scope.intro = true;
		}
		$scope.favoriteAria = "Select to mark tool as a favorite";
		$scope.unfavoriteAria = "Select to un-mark tool as a favorite";
		$('.glyphicon, .icon').on('keypress', function(e){
			if(e.which == 13){
				$(e.target).click();
			}
		});
	});
});