define([
		'app',
		'SupportSummaryController'
	],
	function (app) {
		"use strict";

		app.config(function ($stateProvider) {
			$stateProvider
				.state('main.two-panel.secondary-navigation.support', {
					url: '/support',
					appNavIndex: 5,
					iconClass: 'icon icon-homesupportbutton',
					data: {
						appletName: "Support",
						panel: "secondary",
                        baseStateName : 'main.two-panel.secondary-navigation.support',
                        initialState : "summary",
                        paramSections : [
                            {
                                paramValue : "support-now",
                                sectionName : "Get Support Right Now",
                                sectionIndex : 1,
                                backState : "^"
                            },
							{
								paramValue : "resources",
								sectionName : "Resources",
								sectionIndex : 2,
								backState : "^"
							}
                        ]
					},
					views : {
						'primary@main.two-panel': {
							templateUrl: 'src/modules/support/pages/support-placeholder_template.html'
						}
					}
				})
                .state('main.two-panel.secondary-navigation.support.summary', {
                    url: '/{section:support-now|resources}/summary',
                    data: {
                        panel : "primary",
                        backState : "^"
                    },
                    views : {
                        'primary@main.two-panel': {
                            templateUrl: 'src/modules/support/pages/summary/support-summary_template.html',
                            controller: 'SupportSummaryController'
                        }
                    }
                });
		});
	}
);
