define(['app', 'angular'], function (app, angular) {

	app.directive('filterWrapper', function () {
		return {
			restrict: 'AE',
			transclude: true,
			scope: {
				hasNoRequired: "=",
				onFilter: "&",
				disableFilter: '='
			},
			link : function(scope, elem, attr){
				scope.requiredExists = function(){
					return elem.find(":input[required]").length > 0;
				};
			},
			controller: function($scope) {
				$scope.filter = function() {
					if($scope.filterForm.validationSummary.validate()) {
						$scope.onFilter();
					}
				}
			},
			templateUrl: 'src/ui-components/filter/filter-wrapper_template.html'
		};
	});

});