define(['app', 'angular'], function (app) {

	app.directive('inputSelect', function () {
		return {
			restrict: 'E',
			require: 'ngModel',
			scope: {
				'label': '@',
				'name': '@',
				'nullLabel': '@',
				'options': '=',
				'ngDisabled': '=',
				'ngRequired': '=',
				'ngModel': '=',
				'itemChangeCallback' : '&'
			},
			link: function (scope, element, attrs, ngModelCtrl) {

				var label = scope.label.lastIndexOf(":") === scope.label.length - 1 ? scope.label.substr(0, scope.label.length - 1) : scope.label;
				scope.errorHandling = {
					'required' : {
						message : label + ' field is required.',
						priority : 1
					}
				};

			},
			templateUrl: function (elem, attr) {
				return attr.useObjectOptions ? 'src/ui-components/form/controls/simple/input-select/input-select-object_template.html' : 'src/ui-components/form/controls/simple/input-select/input-select_template.html';
			}
		};
	});
});