define(['app', 'angular'], function (app) {
	app.directive('navBar', function () {
		return {
			restrict: 'E',
			transclude : true,
			scope : {
				'buttons' : '=',
				'showFilter' : '=',
				'onFilter' : '&',
				'disableFilter' : '=?',
				'hasNoRequired' : '=?'
			},
			templateUrl: 'src/ui-components/nav-bar/nav-bar_template.html',
			link: function(scope, elem, attrs){
				scope.hideCollapseContent = function(){
					var height = elem.find("[collapse]")[0].style.height;
					return height !== "0px" || height !== "1px";
				};
			},
			controller: function ($scope, $state, $window, authenticationService) {
			    $scope.hasNoRequired = $scope.hasNoRequired ? $scope.hasNoRequired : false;
				$scope.isFilterCollapsed = false;
				$scope.toggleFilterState = function() {
					$scope.isFilterCollapsed = !$scope.isFilterCollapsed;
				};
			}
		};
	});
});